karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: pax-keycloak on Karaf 4.1.x
Date Mon, 26 Mar 2018 12:55:35 GMT
Hi,

just left a comment in the PR. I tested pax-keycloak-jetty without problem. In
your case, it's related to Karaf JAAS version. More then downgrading the Karaf
version, I would extend the import version range.

Do you mind if I do it as part of my PR ?

Regards
JB

On 03/26/2018 12:42 PM, Tadayoshi Sato wrote:
> Hi,
> 
> I found that the feature 'pax-keycloak-jaas' still fails on 4.1.x. I
> submitted this pull req:
> https://github.com/ops4j/org.ops4j.pax.keycloak/pull/5
> 
> Please take a look and merge it if it's okay.
> 
> Thanks!
> 
> On Mon, Mar 26, 2018 at 2:53 PM, Tadayoshi Sato <sato.tadayoshi@gmail.com>
> wrote:
> 
>> Cool. Thanks, JB!
>>
>> On Mon, Mar 26, 2018 at 2:41 PM, Jean-Baptiste Onofré <jb@nanthrax.net>
>> wrote:
>>
>>> Hi,
>>>
>>> just tried and it works fine:
>>>
>>> karaf@root()> feature:repo-add
>>> mvn:org.ops4j.pax.keycloak/pax-keycloak-features/0.3.0-SNAPS
>>> HOT/xml/features
>>> Adding feature url
>>> mvn:org.ops4j.pax.keycloak/pax-keycloak-features/0.3.0-SNAPS
>>> HOT/xml/features
>>> karaf@root()> feature:install pax-keycloak-http-jetty
>>>
>>> I created the corresponding PR:
>>>
>>> https://github.com/ops4j/org.ops4j.pax.keycloak/pull/4
>>>
>>> I will merge that later today.
>>>
>>> Regards
>>> JB
>>>
>>> On 03/26/2018 07:31 AM, Tadayoshi Sato wrote:
>>>> Hello,
>>>>
>>>> I tried installing pax-keycloak on Karaf 4.1.3, but got the following
>>> error:
>>>>
>>>>     karaf@root()> repo-add
>>>> mvn:org.ops4j.pax.keycloak/pax-keycloak-features/0.2.0/xml/features
>>>>     Adding feature url
>>>> mvn:org.ops4j.pax.keycloak/pax-keycloak-features/0.2.0/xml/features
>>>>     Error executing command: Unsupported namespace:
>>>> http://karaf.apache.org/xmlns/features/v1.5.0 :
>>>> mvn:org.ops4j.pax.keycloak/pax-keycloak-features/0.2.0/xml/features
>>>>
>>>> It doesn't look like pax-keycloak is targeting 4.1.x support. Is it
>>>> intentional?  If so, Karaf 4.1.x doesn't seem to be supporting Keycloak
>>>> integration. Is it correct?
>>>>
>>>> Thank you,
>>>> Tadayoshi
>>>>
>>>
>>> --
>>> Jean-Baptiste Onofré
>>> jbonofre@apache.org
>>> http://blog.nanthrax.net
>>> Talend - http://www.talend.com
>>>
>>
>>
> 

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message